KDE 4.7 PyKDE API Reference

- KDE's Python API

# MassUpdateJob Class Reference

`from PyKDE4.nepomuk import *`

Inherits: KJob → QObject
Namespace: Nepomuk

## Detailed Description

\class MassUpdateJob nepomukmassupdatejob.h Nepomuk/MassUpdateJob

A KJob to set Nepomuk properties on a set of resources at once.

Author:
  Sebastian Trueg <trueg@kde.org>

## Methods
| __init__ (self, QObject parent=0)
bool | doKill (self)
bool | doResume (self)
bool | doSuspend (self)
| setFiles (self, KUrl.List urls)
| setProperties (self, [(QUrl,Nepomuk.Variant)] props)
| setResources (self, [Nepomuk.Resource] a0)
| start (self)
## Static Methods
Nepomuk.MassUpdateJob | commentResources ([Nepomuk.Resource] a0, QString comment)
Nepomuk.MassUpdateJob | rateResources ([Nepomuk.Resource] a0, int rating)
Nepomuk.MassUpdateJob | tagResources ([Nepomuk.Resource] a0, [Nepomuk.Tag] tags)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Default constructor. Normally there is no need to use this. Use tagResources(), rateResources(), or commentResources() instead.

bool doKill | ( |  | self ) |

bool doResume | ( |  | self ) |

bool doSuspend | ( |  | self ) |

setFiles | ( | self, |
|  | KUrl.List | urls
| ) |  |  |

Set a list of files to change This has the same effect as using setResources with a list of manually created resources.

setProperties | ( | self, |
|  | [(QUrl,Nepomuk.Variant)] | props
| ) |  |  |

Set the properties to change in the mass update.

setResources | ( | self, |
|  | [Nepomuk.Resource] | a0
| ) |  |  |

Set a list of resources to change.

start | ( |  | self ) |

Actually start the job.

## Static Method Documentation

Nepomuk.MassUpdateJob commentResources | ( | [Nepomuk.Resource] | a0,
|  | QString | comment
| ) |  |  |

Nepomuk.MassUpdateJob rateResources | ( | [Nepomuk.Resource] | a0,
|  | int | rating
| ) |  |  |

Nepomuk.MassUpdateJob tagResources | ( | [Nepomuk.Resource] | a0,
|  | [Nepomuk.Tag] | tags
| ) |  |  |